# Interface PlaybackConfiguration

interface PlaybackConfiguration {
autoplay: boolean;
maxBufferingTime: number;
maxBufferingTimeInBackground: number;
preload: "auto" | "metadata" | "none";
}

#####
Index

### Properties

autoplay
maxBufferingTime
maxBufferingTimeInBackground
preload

## Properties

### autoplay

autoplay: boolean

Whether or not the player should attempt to autoplay. If `true`, the player will do all it can to achieve successful autoplay, including muting the player if necessary. Defaults to `false`.

### maxBufferingTime

maxBufferingTime: number

The number of milliseconds the player should wait before triggering a visible timeout error on the player. Defaults to 45 seconds

### maxBufferingTimeInBackground

maxBufferingTimeInBackground: number

The same as maxBufferingTime, but applies only when the player is in the background. Defaults to 5 minutes.

### preload

preload: "auto" | "metadata" | "none"

Whether any metadata and/or media should be preloaded before playback. Values are the same as the HTMLMediaElement `preload` property. Defaults to `'auto'`